<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-shop-bill-info-heading">Create or edit a Shop Bill Info</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_vendorId">Vendor Id</label>
                    <input type="text" class="form-control" name="vendorId" id="field_vendorId"
                           formControlName="vendorId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_companyName">Company Name</label>
                    <input type="text" class="form-control" name="companyName" id="field_companyName"
                           formControlName="companyName"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_taxId">Tax Id</label>
                    <input type="text" class="form-control" name="taxId" id="field_taxId"
                           formControlName="taxId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_address">Address</label>
                    <input type="text" class="form-control" name="address" id="field_address"
                           formControlName="address"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <input type="text" class="form-control" name="status" id="field_status"
                           formControlName="status"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_active">Active</label>
                    <input type="checkbox" class="form-control" name="active" id="field_active"
                           formControlName="active"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
